#include<iostream>
using namespace std;
long long n, najgolqmo=0, x=n, b;
int a[10];
void func(int [10], int);
int main(){
cin>>n;
a[0]=6;
a[1]=2;
a[2]=5;
a[3]=5;
a[4]=4;
a[5]=5;
a[6]=6;
a[7]=3;
a[8]=7;
a[9]=6;
for(int i=0; i<10; i++){
    if(x-a[i]==0){
        if(najgolqmo<i){
            najgolqmo=i;
        }
    }
    if(n-a[i]>0){
        x=n-a[i];
        b=i*10;
        for(int j=0; j<10; j++){
            if(x-a[j]==0){
                if(najgolqmo<b+j){
                    najgolqmo=b+j;
                }
            }
        }
    }
}
cout<<najgolqmo<<endl;
return 0;
}
void func(int a[10], int n){
    for(int i=0; i<10; i++){
        if(x-a[i]==0){
            if(najgolqmo<i){
                najgolqmo=i;
            }
        }
        if(n-a[i]>0){
            x=n-a[i];
            b=i*10;
            for(int j=0; j<10; j++){
                if(x-a[j]==0){
                    if(najgolqmo<b+j){
                        najgolqmo=b+j;
                    }
                }
            }
        }
    }
}
